<?php
/**
* @author Amasty Team
* @copyright Copyright (c) 2022 Amasty (https://www.amasty.com)
* @package ILN Compatibility with Live Search for Magento 2 (System)
*/

namespace Amasty\ShopByLiveSearch\Model\Product;

interface CustomFilterValueInterface
{
    /**
     * @param int $entityId
     * @param int $storeId
     * @return array
     */
    public function execute(int $entityId, int $storeId): array;
}
