<?php
/**
* @author Amasty Team
* @copyright Copyright (c) 2022 Amasty (https://www.amasty.com)
* @package ILN Compatibility with Live Search for Magento 2 (System)
*/

declare(strict_types=1);

namespace Amasty\ShopByLiveSearch\Model\Product;

class CreateAttributeValue
{
    public function execute(string $attributeCode, array $optionValues, array $optionIds): array
    {
        return [
            'attributeCode' => $attributeCode,
            'type' => 'select',
            'value' => $optionValues,
            'valueId' => $optionIds
        ];
    }
}
